#
%define	libgadu_ver	1.9.0
Summary:	GaduGadu transport module for Jabber
Summary(pl.UTF-8):	Moduł transportowy GaduGadu dla systemu Jabber
Name:		jggtrans
Version:	2.2.6
Release:	3
License:	GPL
Group:		Applications/Communications
Source0:	https://github.com/Jajcus/jggtrans/releases/download/v2.2.6/%{name}-%{version}.tar.gz
# Source0-md5:	3ca5b213026087091ace93a5ffea1703
Source1:	jggtrans.init
Source2:	jggtrans.sysconfig
Patch0:		%{name}-pidfile.patch
Patch1:		%{name}-spooldir.patch
URL:		http://jggtrans.jajcus.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	expat-devel >= 1.95.1
BuildRequires:	gettext-tools >= 0.14.1
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	libgadu-devel >= %{libgadu_ver}
BuildRequires:	libidn-devel >= 0.3.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires(post):	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
Requires(pre):	jabber-common
Requires:	jabber-common
Requires:	libgadu >= %{libgadu_ver}
Obsoletes:	jabber-gg-transport
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module allows Jabber to communicate with GaduGadu server.

%description -l pl.UTF-8
Moduł ten umożliwia użytkownikom Jabbera komunikowanie się z
użytkownikami GaduGadu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{?debug:--with-efence} \
	--without-bind \
	--sysconfdir=%{_sysconfdir}/jabber
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/jabber,/etc/rc.d/init.d,/etc/sysconfig,/var/lib/jggtrans}

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT"

install jggtrans.xml $RPM_BUILD_ROOT%{_sysconfdir}/jabber
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/jggtrans
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/jggtrans

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_sysconfdir}/jabber/secret ] ; then
	SECRET=`cat %{_sysconfdir}/jabber/secret`
	if [ -n "$SECRET" ] ; then
		echo "Updating component authentication secret in jggtrans.xml..."
		%{__sed} -i -e "s/>secret</>$SECRET</" /etc/jabber/jggtrans.xml
	fi
fi
/sbin/chkconfig --add jggtrans
if [ -r /var/lock/subsys/jggtrans ]; then
	/etc/rc.d/init.d/jggtrans restart >&2
else
	echo "Run \"/etc/rc.d/init.d/jggtrans start\" to start Jabber GaduGadu transport."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -r /var/lock/subsys/jggtrans ]; then
		/etc/rc.d/init.d/jggtrans stop >&2
	fi
	/sbin/chkconfig --del jggtrans
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README README.Pl jggtrans.xml.Pl
%attr(755,root,root) %{_sbindir}/*
%attr(640,root,jabber) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/jabber/jggtrans.xml
%attr(754,root,root) /etc/rc.d/init.d/jggtrans
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/jggtrans
%attr(770,root,jabber) /var/lib/jggtrans
%changelog
* Thu Nov 22 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/jggtrans.git;a=log;h=master

* Thu Nov 22 2018 Jan Rękorajski <baggins@pld-linux.org> 65b5ffc
- rebuild with libidn 1.35
- release 3 (by relup.sh)

* Mon Oct 22 2018 Marcin Krol <hawk@tld-linux.org> 7c72d28
- release 2

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> b97863a
- updated gettext BR

* Wed Nov 27 2013 Robert Graużenis <dzeus@dc.net.pl> 4e61a3e
- up to 2.2.6 (fixes compatibility with the GG servers)

* Thu Jul 25 2013 Jacek Konieczny <jajcus@jajcus.net> 4a1f794
- Version: 2.2.5 (patches included upstream)

* Wed Jul 24 2013 Marcin Krol <hawk@tld-linux.org> b850a17
- fix issues with connecting to GG server when daemonized

* Wed Jul 24 2013 Marcin Krol <hawk@tld-linux.org> e481dc2
- fix issues with connecting to GG servers when daemonized, thx jajcus

* Wed Jul 24 2013 Marcin Krol <hawk@tld-linux.org> 707b14f
- updated servers list (just few with highest availability),
  hardcode them as well, release 7

* Wed Jul 24 2013 Marcin Krol <hawk@tld-linux.org> 98875c4
- upstream fixes (note: diff-trunk_src-from-r714-to-r716.diff replaced
  with git.patch)

* Mon Nov 19 2012 Jan Rękorajski <baggins@pld-linux.org> 008f5b2
- fix errors caused by -Wformat-security
- rel 5

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> 3c2fe2e
- rebuild with expat 2.1.0
- release 4 (by relup.sh)

* Tue Aug 31 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> cdee795
- use libgadu_ver macro

* Tue Aug 31 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 2df4d2f
- rel 3; libgadu-devel is not required for this package to work.

* Tue Jul 06 2010 Mariusz Mazur <mmazur@pld-linux.org> f70fbd8
- rel 2; stbr
- added patch from trunk which removes irritating unsubscribe msgs

* Tue Jul 06 2010 Mariusz Mazur <mmazur@pld-linux.org> 14810a1
- unneeded patch

* Sun Jun 13 2010 Mariusz Mazur <mmazur@pld-linux.org> 412922d
- added libtoolize to build process

* Sat Apr 10 2010 shadzik <shadzik@pld-linux.org> d40eed5
- R: libgadu with version, upgrade doesn't take this too

* Sat Apr 10 2010 Jacek Konieczny <jajcus@pld-linux.org> ee52a03
- Version: 2.2.4

* Wed Dec 12 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 74c0677
- rel 2

* Fri Mar 09 2007 Jakub Bogusz <qboosh@pld-linux.org> 387be71
- more versions, no libbind

